<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_44e986c04f41a08b5" . "6a383c7b3a88ee2" => base64_decode("c2Vu" . "ZGVy"), "_d706c160e45bf7434fff82a597" . "6f0e19" => base64_decode("YXJy" . "YXlf" . "a2V5" . "cw=="), "_f39f5346e313e4dd1ac3a7bd8032b" . "eda" => base64_decode("c3Vic3RyX2" . "NvbXBhcmU="), "_f589476007f" . "a133f457c3ef" . "29ddfa566" => base64_decode("VG8" . "="), "_1d6c68a0262e8fa0bed1215b7224a98" . "e" => base64_decode("cmV" . "jaX" . "BpZ" . "W50"), "_97ea09a7fa" . "f27c52c6eff" . "69773df1d8a" => base64_decode("dGlt" . "ZXN0" . "YW1w"), "_8c575917" . "cbaedf1e7" . "efae84939" . "402bff" => base64_decode("U3Via" . "mVjdA" . "=="), "_618a4aeb9f" . "ecc4592a452" . "1f34876fa29" => base64_decode("Zn" . "Jv" . "bQ" . "=="), "_9c050c786fc87170cbb84fc6a8b13" . "cb6" => base64_decode("YXR0Y" . "WNobW" . "VudC0" . "="), "_a1e707d02a236dade" . "bd15a45e65ebdb6" => base64_decode("YXR0YWNobW" . "VudC1jb3Vu" . "dA=="), "_956cd3229" . "8a229f9768" . "f1096f077a" . "ce3" => base64_decode("Ym9keS1" . "wbGFpbg" . "=="), "_6e1c717cf3cbf1af982ed74d433" . "6b7f1" => base64_decode("Ym9keS1" . "odG1s"));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d706c160e45bf7434ff" . "f82a5976f0e19"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a1e707d02a236dade" . "bd15a45e65ebdb6"] && $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_f39f5346e313e4dd1ac3" . "a7bd8032beda"]($key, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_9c050c786fc87170cbb" . "84fc6a8b13cb6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_1d6c68a0262e8f" . "a0bed1215b7224a" . "98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_618a4aeb9fec" . "c4592a4521f34" . "876fa29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_f589476007fa133f457c3ef29ddf" . "a566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_8c575917cbaedf1e7efae" . "84939402bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_6e1c717cf3cbf1af982ed74" . "d4336b7f1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_956cd32298a229f9768f1096f077ac" . "e3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_97ea09a7faf27c52c6eff697" . "73df1d8a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_44e986c04f41a08b56a383c7b3a" . "88ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}